
/*
 * magicStubs.c --
 *
 * Stubs for Magic routines.  We only use the database portion of the
 * Magic layout editor, so we need to dummy out some of the other stuff.
 *
 * Copyright (C) 1985 Regents of the University of California
 * All rights reserved.
 */

#ifndef lint
static char sccsid[] = "@(#)magicStubs.c	1.4 MAGIC (Berkeley) 3/4/85";
#endif  not lint

#include <stdio.h>
#include "magic.h"
#include "hash.h"
#include "geometry.h"
#include "tile.h"
#include "database.h"
#include "textio.h"
#include "undo.h"

/* DBWIND */
int DBWclientID = 0;
int DBWFeedbackCount = 0;
TileTypeBitMask  DBWStyleToTypesTbl[256];
void DBWAreaChanged(){};
void DBWLabelChanged(){};
void DBWFeedbackAdd(){};
Void DBWFeedbackShow(){};

/* MISC */
char AbortMessage[200];
niceabort() 
{
    int i;
    i = 2;
    (void) fprintf(stderr, "Mpack has detected a major internal inconsistency:\n");
    (void) fprintf(stderr, "        %s\n\n", AbortMessage);
    (void) fprintf(stderr, "Bye!!!\n");
    1/(2-i); /* core dump! */
};


/* SIGNALS */
bool SigInterruptPending = FALSE;
void SigEnableInterrupts(){};
void SigDisableInterrupts(){};

 
/* TEXTIO */
/*VARARGS1*/
void
TxError(format, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19, a20)
char *format;
{
    (void) fflush(stdout);
    (void) fprintf(stderr, format, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10,
	a11, a12, a13, a14, a15, a16, a17, a18, a19, a20);
    (void) fflush(stderr);
};

/*VARARGS1*/
void
TxPrintf(format, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19, a20)
char *format;
{
    (void) fprintf(stdout, format, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10,
	a11, a12, a13, a14, a15, a16, a17, a18, a19, a20);
};

void
TxFlush()
{
    (void) fflush(stdout);
    (void) fflush(stderr);
}

char *
TxGetLine()
{
    TxError("Mpack, TxGetLine not implemented\n");
}

/* UNDO */
int UndoDisableCount = 1;
void UndoDisable(){};
void UndoEnable(){};
void UndoFlush(){};
UndoType UndoAddClient(){return 1;};
UndoEvent *UndoNewEvent(){return ((UndoEvent *) NULL);};

/* WINDOWS */
/* WindClient DBWclientID; */
void WindAreaChanged(){};
int WindSearch(){ printf("WindSearch called\n"); };
void WindSurfaceToScreen(){ printf("WindSurfaceToScreen called\n"); };

/* GRAPHICS */
void (*GrUnlockPtr)()   = NULL;
void (*GrFlushPtr)()    = NULL;
void (*GrLockPtr)()     = NULL;
void (*GrVfprintfPtr)() = NULL;
GrClipBox() { printf("GrClipBox called\n"); };
